Package org.springframework.security.web.server.authentication

# Class ReactivePreAuthenticatedAuthenticationManager

java.lang.Object
org.springframework.security.web.server.authentication.ReactivePreAuthenticatedAuthenticationManager

All Implemented Interfaces:
  `org.springframework.security.authentication.ReactiveAuthenticationManager`

public class ReactivePreAuthenticatedAuthenticationManager extends Object implements org.springframework.security.authentication.ReactiveAuthenticationManager
Reactive version of `PreAuthenticatedAuthenticationProvider` This manager receives a `PreAuthenticatedAuthenticationToken`, checks that associated account is not disabled, expired, or blocked, and returns new authenticated `PreAuthenticatedAuthenticationToken`. If no `UserDetailsChecker` is provided, a default `AccountStatusUserDetailsChecker` will be created.

Since:
  5.2

## Constructor Summary

Constructors
Constructor
Description
`ReactivePreAuthenticatedAuthenticationManager(org.springframework.security.core.userdetails.ReactiveUserDetailsService userDetailsService)`
`ReactivePreAuthenticatedAuthenticationManager(org.springframework.security.core.userdetails.ReactiveUserDetailsService userDetailsService, org.springframework.security.core.userdetails.UserDetailsChecker userDetailsChecker)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<org.springframework.security.core.Authentication>`
`authenticate(org.springframework.security.core.Authentication authentication)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReactivePreAuthenticatedAuthenticationManager

public ReactivePreAuthenticatedAuthenticationManager(org.springframework.security.core.userdetails.ReactiveUserDetailsService userDetailsService)

### ReactivePreAuthenticatedAuthenticationManager

public ReactivePreAuthenticatedAuthenticationManager(org.springframework.security.core.userdetails.ReactiveUserDetailsService userDetailsService, org.springframework.security.core.userdetails.UserDetailsChecker userDetailsChecker)

## Method Details

### authenticate

public reactor.core.publisher.Mono<org.springframework.security.core.Authentication> authenticate(org.springframework.security.core.Authentication authentication)

Specified by:
  `authenticate` in interface `org.springframework.security.authentication.ReactiveAuthenticationManager`